Config (class) admin API Resource

WS for handling object classes and fields in system configuration draft context

GET /admin/config/class/json/{configurationId}

Get list of object classes in specified system configuration draft.

Try it out!

Request Parameters
name type description default constraints
configurationId path System configuration draft identifier.   long
Response Body
media type data type description
application/json HdcAdminClassTO (JSON) JSON Response with list of classes

Example of response:

{ "values": [{ "classId": "98", "name": "drawinglink", "parentId": "", "hasContent": false, "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "label": "Drawing link", "subClasses": false }, { "classId": "15", "name": "equipment", "parentId": "", "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "hasContent": false, "label": "Equipment", "values": [{ "classId": "16", "name": "ventilation", "parentId": "15", "hasContent": false, "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "label": "Ventilation", "subClasses": false }], "subClasses": true }, { "classId": "13", "name": "h1_floor", "parentId": "", "hasContent": false, "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "label": "Plan", "subClasses": false }, { "classId": "14", "name": "h1_space", "parentId": "", "hasContent": false, "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "label": "Rum", "subClasses": false }, { "classId": "11", "name": "h1_prop", "parentId": "", "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "hasContent": false, "label": "Fastighet", "subClasses": false }, { "classId": "12", "name": "h1_struct", "parentId": "", "hasContent": false, "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "label": "Hus", "subClasses": false }, { "classId": "10", "name": "root", "parentId": "", "hasContent": false, "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}", "label": "Faciliteter", "subClasses": false }] }

POST /admin/config/class/json/{configurationId}

Add object class.

Try it out!

Request Parameters
name type description default constraints
configurationId path System configuration draft identifier   long
Request Body
media type data type description
application/json HdcObjectClassModelTO (JSON) HdcObjectClassModelTO

Example of request:

{"name":"new_class","label":"some class","parentId":"13","hasContent":"true", "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}"}
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON) JSON Response indicating where operation was successfully or not

DELETE /admin/config/class/json/{configurationId}/{classId}

Delete given object class

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class   long
configurationId path System configuration draft identifier   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response indicating where operation was successfully or not

GET /admin/config/class/json/{configurationId}/{classId}

Get description of given object class in specified system configuration draft.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class   long
configurationId path System configuration draft identifier   long
Response Body
media type data type description
application/json object (JSON) JSON Response with description of object class

Example of response:

{ "list": [{ "isDynamicField": false, "name": "hdid", "seq": "0", "label": "HyperDoc ID", "required": true, "isIdField": true, "typeId": 4, "isLabelField": false }, { "isDynamicField": false, "name": "nm", "seq": "1", "label": "HyperDoc Name", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }, { "isDynamicField": false, "name": "fi2spsys_id", "seq": "2", "label": "Floor ID", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }, { "isDynamicField": false, "name": "fi2spsys_class", "seq": "3", "label": "Class", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }, { "isDynamicField": false, "name": "fi2spsys_sysid", "seq": "4", "label": "Sys ID", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }, { "isDynamicField": false, "name": "fi2spsys_guid", "seq": "5", "label": "GUID", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }, { "isDynamicField": false, "name": "fi2spsys_name", "seq": "6", "label": "Floor", "required": true, "isIdField": false, "typeId": 2, "isLabelField": true }, { "isDynamicField": false, "name": "fi2spsys_fullname", "seq": "7", "label": "Fullname", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }, { "isDynamicField": false, "name": "fi2spsys_descr", "seq": "8", "label": "Description", "required": false, "isIdField": false, "typeId": 2, "isLabelField": false }] }

PUT /admin/config/class/json/{configurationId}/{classId}

Update given object class - name should not be updated

Example of request:

{"parentId":"13", "classId":"1281", "name": "object_class_name", "label":"updated object class label", "hasContent":false", "hasExternalContent":false", "templateUrl" : "https://myserver.com/?GUID={hd_custom7}&project={hd_custom19}"}

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class   long
configurationId path System configuration draft identifier   long
Request Body
media type data type description
application/json HdcObjectClassModelTO (JSON) HdcObjectClassModelTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response indicating where operation was successfully or not

POST /admin/config/class/field/json/{configurationId}/{classId}

Add new field to object class in specified system configuration draft.

Example of request:

{"name":"object_class_field", "label":"Object Class Field Label", "fieldType":"2"}

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class field.   long
configurationId path Id of configuration draft.   long
Request Body
media type data type
application/json HdcObjectClassFieldModelTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response indicating where operation was successfully or not

PUT /admin/config/class/field/json/{configurationId}/{classId}

Update given object class field Example of request:

{"name":"object_class_field","label":"Object Class Field Label updated","fieldType":"7","dictId":"1","isDynamicField":false,"isIdField":false,"isLabelField":false,"required":false,"seq":2}

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class field.   long
configurationId path Id of configuration draft.   long
Request Body
media type data type description
application/json HdcObjectClassFieldModelTO (JSON) HdcObjectClassFieldModelTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with success information property

PUT /admin/config/class/fields/update/{configurationId}/{classId}

Update object class fields in specified system configuration draft. This updates multiply class fields and can edit parameters like Required, Label Field, ID Field. Example of request:

{"fields":[{"name":"objectclass1","seq":1,"label":"object class 1","required":true,"isIdField":false,"isLabelField":true,"dictId":"0","fieldType":"2","isDynamicField":false,"typeIdValue":"Text"},{"name":"objectclass2","seq":2,"label":"object class 2","required":false,"isIdField":false,"isLabelField":false,"dictId":"0","fieldType":"2","isDynamicField":false,"typeIdValue":"Text"}]}

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class field.   long
configurationId path System configuration draft identifier   long
Request Body
media type data type description
application/json HdcObjectClassFieldsListModelTO (JSON) HdcObjectClassFieldsListModelTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information whether update was successful or not

PUT /admin/config/class/print/json/{configurationId}/{classId}

Update object class print parameters

Try it out!

Request Parameters
name type description default constraints
classId path   long
configurationId path System configuration draft identifier   long
Request Body
media type data type description
application/json HdcClassPrintPropertiesTO (JSON) HdcClassPrintPropertiesTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /admin/config/class/sort/json/{configurationId}/{classId}

Update object class sort parameters

Try it out!

Request Parameters
name type description default constraints
classId path   long
configurationId path System configuration draft identifier   long
Request Body
media type data type description
application/json HdcClassSortedPropertiesTO (JSON) HdcClassSortedPropertiesTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /admin/config/class/field/json/{configurationId}/{classFieldId}/{fieldName}

Delete given object class field

Try it out!

Request Parameters
name type description default constraints
classFieldId path The unique identifier of object class   long
configurationId path Id of configuration draft   long
fieldName path Name of Class Field - use field "name"    
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with success information property